/*
**  Beispielprogramm zur Benutzung der BBS.library
*/

#include <libraries/BBS_library.h>
#include <pragmas/BBS_pragmas.h>

//#include <clib/BBS_protos.h>

struct Library    *BBSBase;
struct ExternInfo *ExternInfo;

int main(int argc, char *argv[])

{
    
    if((BBSBase = (struct Library *)OpenLibrary((char *)"BBS.library", 2L)) == 0)
      return(0);

    // Verbindung zur Box herstellen
    
    if (!(ExternInfo = (struct ExternInfo *)bbs_open(argv[1])))
    {
        CloseLibrary(BBSBase);
        return(0);
    }

    // String ausgeben

    bbs_printf ("Hallo %s aus %s !\r\n\r\n",ExternInfo->UserName,ExternInfo->City);

    // Port wieder freigeben

    bbs_close();
    CloseLibrary(BBSBase);
    return(0);
}


